Class | I18nSimpleBackendLocalizeTimeTest
In: | lib/active_support/vendor/i18n-0.1.3/test/simple_backend_test.rb
Parent: | Test::Unit::TestCase

### Methods

setup teardown test_translate_given_a_day_name_format_it_returns_the_correct_day_name test_translate_given_a_meridian_indicator_format_it_returns_the_correct_meridian_indicator test_translate_given_a_month_name_format_it_returns_the_correct_month_name test_translate_given_an_abbr_day_name_format_it_returns_the_correct_abbrevated_day_name test_translate_given_an_abbr_month_name_format_it_returns_the_correct_abbrevated_month_name test_translate_given_an_unknown_format_it_does_not_fail test_translate_given_no_format_it_does_not_fail test_translate_given_the_long_format_it_uses_it test_translate_given_the_short_format_it_uses_it

### Included Modules

I18nSimpleBackendTestSetup

### Public Instance methods

setup()
teardown()
test_translate_given_a_day_name_format_it_returns_the_correct_day_name()

TODO Seems to break on Windows because ENV[‘TZ’] is ignored. What‘s a better way to do this? def test_translate_given_the_default_format_it_uses_it

      assert_equal 'Di, 01. Jan 2008 06:00:00 +0000', @backend.localize('de', @morning, :default)

end

test_translate_given_a_meridian_indicator_format_it_returns_the_correct_meridian_indicator()
test_translate_given_a_month_name_format_it_returns_the_correct_month_name()
test_translate_given_an_abbr_day_name_format_it_returns_the_correct_abbrevated_day_name()
test_translate_given_an_abbr_month_name_format_it_returns_the_correct_abbrevated_month_name()
test_translate_given_an_unknown_format_it_does_not_fail()
test_translate_given_no_format_it_does_not_fail()
test_translate_given_the_long_format_it_uses_it()
test_translate_given_the_short_format_it_uses_it()

[Validate]